Bug 1660522 - [abrt] ibus-anthy-python: __update_anthy_convert_chars(): engine.py:1269:__update_anthy_convert_chars:TypeError: can only concatenate str (not "NoneType") to str
Summary: [abrt] ibus-anthy-python: __update_anthy_convert_chars(): engine.py:1269:__up...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus-anthy
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: fujiwara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:68516d1ac979ea4a4ef53d1d33c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-18 14:28 UTC by Mike FABIAN
Modified: 2019-11-27 20:26 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 20:26:21 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (712 bytes, text/plain)
2018-12-18 14:28 UTC, Mike FABIAN
no flags Details
File: cgroup (345 bytes, text/plain)
2018-12-18 14:28 UTC, Mike FABIAN
no flags Details
File: cpuinfo (1.42 KB, text/plain)
2018-12-18 14:28 UTC, Mike FABIAN
no flags Details
File: environ (4.51 KB, text/plain)
2018-12-18 14:28 UTC, Mike FABIAN
no flags Details
File: mountinfo (4.27 KB, text/plain)
2018-12-18 14:28 UTC, Mike FABIAN
no flags Details
File: namespaces (129 bytes, text/plain)
2018-12-18 14:28 UTC, Mike FABIAN
no flags Details
File: open_fds (1.08 KB, text/plain)
2018-12-18 14:29 UTC, Mike FABIAN
no flags Details
/home/mfabian/.anthy/last-record1_default.utf8 (25.33 KB, patch)
2018-12-20 09:10 UTC, Mike FABIAN
no flags Details | Diff
/home/mfabian/.anthy/last-record2_default.utf8 (23.19 KB, application/octet-stream)
2018-12-20 09:11 UTC, Mike FABIAN
no flags Details

Description Mike FABIAN 2018-12-18 14:28:50 UTC
Version-Release number of selected component:
ibus-anthy-python-1.5.10-5.fc29

Additional info:
reporter:       libreport-2.9.7
cmdline:        python3 /usr/share/ibus-anthy/engine/main.py --ibus
crash_function: __update_anthy_convert_chars
exception_type: TypeError
executable:     /usr/share/ibus-anthy/engine/main.py
interpreter:    python3-3.7.1-4.fc29.x86_64
kernel:         4.19.5-300.fc29.x86_64
runlevel:       N 5
type:           Python3
uid:            10030

Truncated backtrace:
engine.py:1269:__update_anthy_convert_chars:TypeError: can only concatenate str (not "NoneType") to str

Traceback (most recent call last):
  File "/usr/share/ibus-anthy/engine/engine.py", line 1290, in __update
    self.__update_convert_chars()
  File "/usr/share/ibus-anthy/engine/engine.py", line 1213, in __update_convert_chars
    self.__update_anthy_convert_chars()
  File "/usr/share/ibus-anthy/engine/engine.py", line 1269, in __update_anthy_convert_chars
    self.__convert_chars += text
TypeError: can only concatenate str (not "NoneType") to str

Local variables in innermost frame:
self: <engine.Engine object at 0x7f74fce16630 (engine+Engine at 0x558e39add170)>
pos: 0
i: 0
seg_index: -1
text: None

Comment 1 Mike FABIAN 2018-12-18 14:28:53 UTC
Created attachment 1515365 [details]
File: backtrace

Comment 2 Mike FABIAN 2018-12-18 14:28:54 UTC
Created attachment 1515366 [details]
File: cgroup

Comment 3 Mike FABIAN 2018-12-18 14:28:55 UTC
Created attachment 1515367 [details]
File: cpuinfo

Comment 4 Mike FABIAN 2018-12-18 14:28:57 UTC
Created attachment 1515368 [details]
File: environ

Comment 5 Mike FABIAN 2018-12-18 14:28:58 UTC
Created attachment 1515369 [details]
File: mountinfo

Comment 6 Mike FABIAN 2018-12-18 14:28:59 UTC
Created attachment 1515370 [details]
File: namespaces

Comment 7 Mike FABIAN 2018-12-18 14:29:01 UTC
Created attachment 1515371 [details]
File: open_fds

Comment 8 fujiwara 2018-12-19 06:37:14 UTC
(In reply to Mike FABIAN from comment #1)
> Created attachment 1515365 [details]
> File: backtrace

Could you find what you typed to reproduce this issue?
The backtrace does not help me why the lookup window includes the null candidate because the backtrace of __update() was called with a time lag.
Probably I think $HOME/.anthy/last-record*_default.utf8 might save what you typed.

> Traceback (most recent call last):
>   File "/usr/share/ibus-anthy/engine/engine.py", line 1290, in __update
>     self.__update_convert_chars()
>   File "/usr/share/ibus-anthy/engine/engine.py", line 1213, in
> __update_convert_chars
>     self.__update_anthy_convert_chars()
>   File "/usr/share/ibus-anthy/engine/engine.py", line 1269, in
> __update_anthy_convert_chars
>     self.__convert_chars += text
> TypeError: can only concatenate str (not "NoneType") to str
>

Comment 9 Mike FABIAN 2018-12-20 09:10:41 UTC
Created attachment 1515832 [details]
/home/mfabian/.anthy/last-record1_default.utf8

Comment 10 Mike FABIAN 2018-12-20 09:11:10 UTC
Created attachment 1515836 [details]
/home/mfabian/.anthy/last-record2_default.utf8

Comment 11 Mike FABIAN 2018-12-20 09:11:43 UTC
(In reply to fujiwara from comment #8)
> (In reply to Mike FABIAN from comment #1)
> > Created attachment 1515365 [details]
> > File: backtrace
> 
> Could you find what you typed to reproduce this issue?
> The backtrace does not help me why the lookup window includes the null
> candidate because the backtrace of __update() was called with a time lag.
> Probably I think $HOME/.anthy/last-record*_default.utf8 might save what you
> typed.
> 
> > Traceback (most recent call last):
> >   File "/usr/share/ibus-anthy/engine/engine.py", line 1290, in __update
> >     self.__update_convert_chars()
> >   File "/usr/share/ibus-anthy/engine/engine.py", line 1213, in
> > __update_convert_chars
> >     self.__update_anthy_convert_chars()
> >   File "/usr/share/ibus-anthy/engine/engine.py", line 1269, in
> > __update_anthy_convert_chars
> >     self.__convert_chars += text
> > TypeError: can only concatenate str (not "NoneType") to str
> >

I have no idea how to reproduce this at the moment.

Comment 12 Ben Cotton 2019-10-31 20:17:00 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Ben Cotton 2019-11-27 20:26:21 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.